# Endpoint Healthchecks ## List Endpoint Health Checks `client.Diagnostics.EndpointHealthchecks.List(ctx, query) (*EndpointHealthcheckListResponse, error)` **get** `/accounts/{account_id}/diagnostics/endpoint-healthchecks` List Endpoint Health Checks. ### Parameters - `query EndpointHealthcheckListParams` - `AccountID param.Field[string]` Identifier ### Returns - `type EndpointHealthcheckListResponse struct{…}` - `CheckType EndpointHealthcheckListResponseCheckType` type of check to perform - `const EndpointHealthcheckListResponseCheckTypeIcmp EndpointHealthcheckListResponseCheckType = "icmp"` - `Endpoint string` the IP address of the host to perform checks against - `ID string` UUID. - `Name string` Optional name associated with this check ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/diagnostics" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) endpointHealthchecks, err := client.Diagnostics.EndpointHealthchecks.List(context.TODO(), diagnostics.EndpointHealthcheckListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", endpointHealthchecks.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Endpoint Health Check `client.Diagnostics.EndpointHealthchecks.New(ctx, params) (*EndpointHealthcheckNewResponse, error)` **post** `/accounts/{account_id}/diagnostics/endpoint-healthchecks` Create Endpoint Health Check. ### Parameters - `params EndpointHealthcheckNewParams` - `AccountID param.Field[string]` Path param: Identifier - `EndpointHealthcheck param.Field[EndpointHealthcheck]` Body param ### Returns - `type EndpointHealthcheckNewResponse struct{…}` - `CheckType EndpointHealthcheckNewResponseCheckType` type of check to perform - `const EndpointHealthcheckNewResponseCheckTypeIcmp EndpointHealthcheckNewResponseCheckType = "icmp"` - `Endpoint string` the IP address of the host to perform checks against - `ID string` UUID. - `Name string` Optional name associated with this check ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/diagnostics" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) endpointHealthcheck, err := client.Diagnostics.EndpointHealthchecks.New(context.TODO(), diagnostics.EndpointHealthcheckNewParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), EndpointHealthcheck: diagnostics.EndpointHealthcheckParam{ CheckType: cloudflare.F(diagnostics.EndpointHealthcheckCheckTypeIcmp), Endpoint: cloudflare.F("203.0.113.1"), }, }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", endpointHealthcheck.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Get Endpoint Health Check `client.Diagnostics.EndpointHealthchecks.Get(ctx, id, query) (*EndpointHealthcheckGetResponse, error)` **get** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Get a single Endpoint Health Check. ### Parameters - `id string` UUID. - `query EndpointHealthcheckGetParams` - `AccountID param.Field[string]` Identifier ### Returns - `type EndpointHealthcheckGetResponse struct{…}` - `CheckType EndpointHealthcheckGetResponseCheckType` type of check to perform - `const EndpointHealthcheckGetResponseCheckTypeIcmp EndpointHealthcheckGetResponseCheckType = "icmp"` - `Endpoint string` the IP address of the host to perform checks against - `ID string` UUID. - `Name string` Optional name associated with this check ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/diagnostics" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) endpointHealthcheck, err := client.Diagnostics.EndpointHealthchecks.Get( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", diagnostics.EndpointHealthcheckGetParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", endpointHealthcheck.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Delete Endpoint Health Check `client.Diagnostics.EndpointHealthchecks.Delete(ctx, id, body) (*EndpointHealthcheckDeleteResponse, error)` **delete** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Delete Endpoint Health Check. ### Parameters - `id string` UUID. - `body EndpointHealthcheckDeleteParams` - `AccountID param.Field[string]` Identifier ### Returns - `type EndpointHealthcheckDeleteResponse struct{…}` - `Errors []EndpointHealthcheckDeleteResponseError` - `Code int64` - `Message string` - `DocumentationURL string` - `Source EndpointHealthcheckDeleteResponseErrorsSource` - `Pointer string` - `Messages []EndpointHealthcheckDeleteResponseMessage` - `Code int64` - `Message string` - `DocumentationURL string` - `Source EndpointHealthcheckDeleteResponseMessagesSource` - `Pointer string` - `Success EndpointHealthcheckDeleteResponseSuccess` Whether the API call was successful. - `const EndpointHealthcheckDeleteResponseSuccessTrue EndpointHealthcheckDeleteResponseSuccess = true` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/diagnostics" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) endpointHealthcheck, err := client.Diagnostics.EndpointHealthchecks.Delete( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", diagnostics.EndpointHealthcheckDeleteParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", endpointHealthcheck.Errors) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true } ``` ## Update Endpoint Health Check `client.Diagnostics.EndpointHealthchecks.Update(ctx, id, params) (*EndpointHealthcheckUpdateResponse, error)` **put** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Update a Endpoint Health Check. ### Parameters - `id string` UUID. - `params EndpointHealthcheckUpdateParams` - `AccountID param.Field[string]` Path param: Identifier - `EndpointHealthcheck param.Field[EndpointHealthcheck]` Body param ### Returns - `type EndpointHealthcheckUpdateResponse struct{…}` - `CheckType EndpointHealthcheckUpdateResponseCheckType` type of check to perform - `const EndpointHealthcheckUpdateResponseCheckTypeIcmp EndpointHealthcheckUpdateResponseCheckType = "icmp"` - `Endpoint string` the IP address of the host to perform checks against - `ID string` UUID. - `Name string` Optional name associated with this check ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/diagnostics" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) endpointHealthcheck, err := client.Diagnostics.EndpointHealthchecks.Update( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", diagnostics.EndpointHealthcheckUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), EndpointHealthcheck: diagnostics.EndpointHealthcheckParam{ CheckType: cloudflare.F(diagnostics.EndpointHealthcheckCheckTypeIcmp), Endpoint: cloudflare.F("203.0.113.1"), }, }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", endpointHealthcheck.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Domain Types ### Endpoint Healthcheck - `type EndpointHealthcheck struct{…}` - `CheckType EndpointHealthcheckCheckType` type of check to perform - `const EndpointHealthcheckCheckTypeIcmp EndpointHealthcheckCheckType = "icmp"` - `Endpoint string` the IP address of the host to perform checks against - `Name string` Optional name associated with this check